GET api/contractItemapi/contractItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "4d657919-3425-4a6d-9c53-a977465db2dd",
"selected_nameplate_id": "ba1a1382-ebfe-40e4-a79a-c3a89b78b516",
"active": true,
"contract_id": "6820dfa8-3a2a-404f-8d15-db265c655d6a",
"id": "3a9914c7-a279-4ec5-a16c-de98f866f240",
"physical_item_id": "65f15980-2a15-4dfe-b83a-a6bc77a1ad8f",
"service_item_id": "7304dfd1-8480-4159-8082-8c37b02668d0",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<contract_id>6820dfa8-3a2a-404f-8d15-db265c655d6a</contract_id>
<id>3a9914c7-a279-4ec5-a16c-de98f866f240</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>65f15980-2a15-4dfe-b83a-a6bc77a1ad8f</physical_item_id>
<quantity>1</quantity>
<service_item_id>7304dfd1-8480-4159-8082-8c37b02668d0</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>ba1a1382-ebfe-40e4-a79a-c3a89b78b516</selected_nameplate_id>
<selected_sticker_id>4d657919-3425-4a6d-9c53-a977465db2dd</selected_sticker_id>
</contract_item>